ProvidersOperations Class
ProvidersOperations operations.
You should not instantiate this class directly. Instead, you should create a Client instance that instantiates it for you and attaches it as an attribute.
- Inheritance
-
builtins.objectProvidersOperations
Constructor
ProvidersOperations(client, config, serializer, deserializer)
Parameters
- client
Client for service requests.
- config
Configuration of service client.
- serializer
An object model serializer.
- deserializer
An object model deserializer.
Variables
- models
Alias to model classes used in this operation group.
Methods
| get |
Gets the specified resource provider. |
| get_at_tenant_scope |
Gets the specified resource provider at the tenant level. |
| list |
Gets all resource providers for a subscription. |
| list_at_tenant_scope |
Gets all resource providers for the tenant. |
| register |
Registers a subscription with a resource provider. |
| unregister |
Unregisters a subscription from a resource provider. |
get
Gets the specified resource provider.
get(resource_provider_namespace: str, expand: Optional[str] = None, **kwargs: Any) -> azure.mgmt.resource.resources.v2019_07_01.models._models_py3.Provider
Parameters
- expand
- str
The $expand query parameter. For example, to include property aliases in response, use $expand=resourceTypes/aliases. Default value is None.
- cls
- callable
A custom type or function that will be passed the direct response
Returns
Provider, or the result of cls(response)
Return type
Exceptions
get_at_tenant_scope
Gets the specified resource provider at the tenant level.
get_at_tenant_scope(resource_provider_namespace: str, expand: Optional[str] = None, **kwargs: Any) -> azure.mgmt.resource.resources.v2019_07_01.models._models_py3.Provider
Parameters
- expand
- str
The $expand query parameter. For example, to include property aliases in response, use $expand=resourceTypes/aliases. Default value is None.
- cls
- callable
A custom type or function that will be passed the direct response
Returns
Provider, or the result of cls(response)
Return type
Exceptions
list
Gets all resource providers for a subscription.
list(top: Optional[int] = None, expand: Optional[str] = None, **kwargs: Any) -> Iterable[azure.mgmt.resource.resources.v2019_07_01.models._models_py3.ProviderListResult]
Parameters
- top
- int
The number of results to return. If null is passed returns all deployments. Default value is None.
- expand
- str
The properties to include in the results. For example, use &$expand=metadata in the query string to retrieve resource provider metadata. To include property aliases in response, use $expand=resourceTypes/aliases. Default value is None.
- cls
- callable
A custom type or function that will be passed the direct response
Returns
An iterator like instance of either ProviderListResult or the result of cls(response)
Return type
Exceptions
list_at_tenant_scope
Gets all resource providers for the tenant.
list_at_tenant_scope(top: Optional[int] = None, expand: Optional[str] = None, **kwargs: Any) -> Iterable[azure.mgmt.resource.resources.v2019_07_01.models._models_py3.ProviderListResult]
Parameters
- top
- int
The number of results to return. If null is passed returns all providers. Default value is None.
- expand
- str
The properties to include in the results. For example, use &$expand=metadata in the query string to retrieve resource provider metadata. To include property aliases in response, use $expand=resourceTypes/aliases. Default value is None.
- cls
- callable
A custom type or function that will be passed the direct response
Returns
An iterator like instance of either ProviderListResult or the result of cls(response)
Return type
Exceptions
register
Registers a subscription with a resource provider.
register(resource_provider_namespace: str, **kwargs: Any) -> azure.mgmt.resource.resources.v2019_07_01.models._models_py3.Provider
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
Returns
Provider, or the result of cls(response)
Return type
Exceptions
unregister
Unregisters a subscription from a resource provider.
unregister(resource_provider_namespace: str, **kwargs: Any) -> azure.mgmt.resource.resources.v2019_07_01.models._models_py3.Provider
Parameters
- cls
- callable
A custom type or function that will be passed the direct response
Returns
Provider, or the result of cls(response)
Return type
Exceptions
Attributes
models
models = <module 'azure.mgmt.resource.resources.v2019_07_01.models' from 'C:\\hostedtoolcache\\windows\\Python\\3.9.13\\x64\\lib\\site-packages\\azure\\mgmt\\resource\\resources\\v2019_07_01\\models\\__init__.py'>
Feedback
Submit and view feedback for